Segment Search

Search and browse card segments (sports, gaming, etc.)

What This Does

  • Lists all market segments in the catalog
  • Includes segments like Baseball, Basketball, Football, Hockey, Pokemon, etc.
  • Filter segments by name
  • Returns segment IDs for filtering other API calls

When To Use This

  • Exploring what types of cards are available
  • Finding specific card categories
  • Filtering searches by segment
  • Building category-specific applications

Real Example

Scenario

You search for sports card segments

Sample Request
GET
/v1/catalog/segments?name=Baseball
What You Get Back
{
  "segments": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Baseball",
      "is_identifiable": true
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440001",
      "name": "Basketball",
      "is_identifiable": true
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440002",
      "name": "Football",
      "is_identifiable": true
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440003",
      "name": "Hockey",
      "is_identifiable": true
    }
  ],
  "total_count": 12,
  "skip": 0,
  "take": 20
}